openshot::SampleRange Struct Reference

This struct holds a the range of samples needed by this frame. More...

`#include <FrameMapper.h>`

## Public Attributes

int64_t | frame_end
int64_t | frame_start
int | sample_end
int | sample_start
int | total

## Detailed Description

This struct holds a the range of samples needed by this frame.

When frame rate is changed, the audio needs to be redistributed among the remaining frames. This struct holds the range samples needed by the this frame.

Definition at line 93 of file FrameMapper.h.

## Member Data Documentation

## frame_end

int64_t openshot::SampleRange::frame_end

Definition at line 98 of file FrameMapper.h.

## frame_start

int64_t openshot::SampleRange::frame_start

Definition at line 95 of file FrameMapper.h.

## sample_end

int openshot::SampleRange::sample_end

Definition at line 99 of file FrameMapper.h.

## sample_start

int openshot::SampleRange::sample_start

Definition at line 96 of file FrameMapper.h.

## total

int openshot::SampleRange::total

Definition at line 101 of file FrameMapper.h.

The documentation for this struct was generated from the following file:

- FrameMapper.h